FIND_LIBS(1)

NAME
find_libs - find pathnames of libraries

SYNOPSIS
find_libs [ -Lpath ... ][ -lname ... ]
find_libs -Help
find_libs -VERSion

DESCRIPTION
The find_libs program is used to find the actual pathname of a library specified on a cc(1) command line. This allows cook(1) to know these dependencies.

OPTIONS
The following options are understood.

-Lpath
    Specify a path to search for libraries on. If more than one is specified, they will be scanned in the order given before the standard /usr/lib and /lib places. This is like the same argument to cc(1), and the usual find_libs option abbreviation rules do not apply.

-lname
    Name a library to be searched for. This is like the same argument to cc(1), and the usual find_libs option abbreviation rules do not apply.

-Help
    Give some information on how to use the find_libs command.

-VERSion
    Tell the version of the find_libs command currently executing.

All other options will result in a diagnostic error.

All options may be abbreviated; the abbreviation is documented as the upper case letters, all lower case letters and underscores (_) are optional. You must use consecutive sequences of optional letters.

All options are case insensitive, you may type them in upper case or lower case or a combination of both, case is not important.

For example: the arguments "-help", "-HEL" and "-h" are all interpreted to mean the -Help option. The argument "-hlp" will not be understood, because consecutive optional characters were not supplied.

Options and other command line arguments may be mixed arbitrarily on the command line.

The GNU long option names are understood. Since all option names for find_libs are long, this means ignoring the extra leading '-'. The "--option=value" convention is also understood.

EXIT STATUS
The find_libs command will exit with a status of 1 on any error. The find_libs command will only exit with a status of 0 if there are no errors.

COPYRIGHT
find_libs version 2.26
Copyright (C) 1988, 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 20 Peter Miller;
All rights reserved.

The find_libs program comes with ABSOLUTELY NO WARRANTY; for details use the 'find_libs -VERSion License' command. This is free software and you are welcome to redistribute it under certain conditions; for details use the 'find_libs -VERSion License' command.

AUTHOR
Peter Miller | E-Mail: | millerp@canb.auug.org.au
/\/\* | WWW: | http://www.canb.auug.org.au/~millerp/